# PHPBase2 使用说明

通过多年多个项目的经历，我们对框架不断进行调整，以达到简洁、高效的目标。

本文档已`phpbase2_demo`进行讲解。

项目模板结构如下

```
project root/
├── protected // 受保护目录
│   ├── bin // 可执行脚本目录
│   ├── conf // 配置目录
│   ├── controllers // 控制器目录
│   ├── data // 数据目录
│   ├── extensions // 扩展工具类的目录
│   ├── models // 模型目录
│   ├── views // 视图目录
│   └── common.php // 项目公共定义文件
├── static // 静态资源
│   ├── css 
│   └── js
└── index.php // 入口文件
```

一次完整请求

```
php-fpm -> index.php -> common.php -> conf 
           └──> controller <-> model
                └──> view(json)
```



